Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang.management
Interface MemoryManagerMXBean

All Known Subinterfaces:
  GarbageCollectorMXBean

    public interface MemoryManagerMXBean

The management interface for a memory manager. A memory manager manages one or more memory pools of the Java virtual machine.

A Java virtual machine has one or more memory managers. An instance implementing this interface is an MXBean that can be obtained by calling the `ManagementFactory.getMemoryManagerMXBeans()` method or from the `platform `MBeanServer`` method.

The `ObjectName` for uniquely identifying the MXBean for a memory manager within an MBeanServer is:

> ``java.lang:type=MemoryManager```,name=`manager's name

Since:
  1.5
See Also:
  `MemoryMXBean`, JMX Specification., Ways to Access MXBeans

Method Summary
`String[]` | `getMemoryPoolNames()` Returns the name of memory pools that this memory manager manages.
`String` | `getName()` Returns the name representing this memory manager.
`boolean` | `isValid()` Tests if this memory manager is valid in the Java virtual machine.

Method Detail

### getName

    String getName()

  Returns the name representing this memory manager.

  Returns:
    the name of this memory manager.

### isValid

    boolean isValid()

  Tests if this memory manager is valid in the Java virtual machine. A memory manager becomes invalid once the Java virtual machine removes it from the memory system.

  Returns:
    `true` if the memory manager is valid in the Java virtual machine; `false` otherwise.

### getMemoryPoolNames

    String[] getMemoryPoolNames()

  Returns the name of memory pools that this memory manager manages.

  Returns:
    an array of `String` objects, each is the name of a memory pool that this memory manager manages.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.